Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rabbitmq.client.impl
Class AMQImpl.Connection.Tune

    java.lang.Object
      com.rabbitmq.client.impl.Method
          com.rabbitmq.client.impl.AMQImpl.Connection.Tune

All Implemented Interfaces:
  AMQP.Connection.Tune, Method

Enclosing class:
  AMQImpl.Connection

    public static class AMQImpl.Connection.Tune

extends Method
implements AMQP.Connection.Tune

Nested Class Summary

Nested classes/interfaces inherited from interface com.rabbitmq.client.AMQP.Connection.Tune
`AMQP.Connection.Tune.Builder`

Field Summary
`static int` | `INDEX`

Constructor Summary
`AMQImpl.Connection.Tune(int channelMax, int frameMax, int heartbeat)`
`AMQImpl.Connection.Tune(MethodArgumentReader rdr)`

Method Summary
`void` | `appendArgumentDebugStringTo(java.lang.StringBuilder acc)` Public API - debugging utility
`int` | `getChannelMax()`
`int` | `getFrameMax()`
`int` | `getHeartbeat()`
`boolean` | `hasContent()` Tell if content is present.
`int` | `protocolClassId()` Retrieve the protocol class ID
`int` | `protocolMethodId()` Retrieve the protocol method ID
`java.lang.String` | `protocolMethodName()` Retrieve the method name
`java.lang.Object` | `visit(AMQImpl.MethodVisitor visitor)` Visitor support (double-dispatch mechanism).
`void` | `writeArgumentsTo(MethodArgumentWriter writer)` Private API - Autogenerated writer for this method.

Methods inherited from class com.rabbitmq.client.impl.Method
`toFrame, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INDEX

    public static final int INDEX

See Also:
  Constant Field Values

Constructor Detail

### AMQImpl.Connection.Tune

    public AMQImpl.Connection.Tune(int channelMax,
                                   int frameMax,
                                   int heartbeat)

### AMQImpl.Connection.Tune

    public AMQImpl.Connection.Tune(MethodArgumentReader rdr)
                            throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getChannelMax

    public int getChannelMax()

  Specified by:
    `getChannelMax` in interface `AMQP.Connection.Tune`

### getFrameMax

    public int getFrameMax()

  Specified by:
    `getFrameMax` in interface `AMQP.Connection.Tune`

### getHeartbeat

    public int getHeartbeat()

  Specified by:
    `getHeartbeat` in interface `AMQP.Connection.Tune`

### protocolClassId

    public int protocolClassId()

  Description copied from class: `Method`
  Retrieve the protocol class ID

  Specified by:
    `protocolClassId` in interface `Method`
  Specified by:
    `protocolClassId` in class `Method`
  Returns:
    the AMQP protocol class ID of this Method

### protocolMethodId

    public int protocolMethodId()

  Description copied from class: `Method`
  Retrieve the protocol method ID

  Specified by:
    `protocolMethodId` in interface `Method`
  Specified by:
    `protocolMethodId` in class `Method`
  Returns:
    the AMQP protocol method ID of this Method

### protocolMethodName

    public java.lang.String protocolMethodName()

  Description copied from class: `Method`
  Retrieve the method name

  Specified by:
    `protocolMethodName` in interface `Method`
  Specified by:
    `protocolMethodName` in class `Method`
  Returns:
    the AMQP protocol method name of this Method

### hasContent

    public boolean hasContent()

  Description copied from class: `Method`
  Tell if content is present.

  Specified by:
    `hasContent` in class `Method`
  Returns:
    true if the wire-protocol for this method should involve a content header and body, or false if it should just involve a single method frame.

### visit

    public java.lang.Object visit(AMQImpl.MethodVisitor visitor)
                           throws java.io.IOException

  Description copied from class: `Method`
  Visitor support (double-dispatch mechanism).

  Specified by:
    `visit` in class `Method`
  Parameters:
    `visitor` - the visitor object
  Returns:
    the result of the "visit" operation
  Throws:
    `java.io.IOException` - if an error is encountered

### appendArgumentDebugStringTo

    public void appendArgumentDebugStringTo(java.lang.StringBuilder acc)

  Description copied from class: `Method`
  Public API - debugging utility

  Overrides:
    `appendArgumentDebugStringTo` in class `Method`
  Parameters:
    `acc` - the buffer to append debug data to

### writeArgumentsTo

    public void writeArgumentsTo(MethodArgumentWriter writer)
                          throws java.io.IOException

  Description copied from class: `Method`
  Private API - Autogenerated writer for this method.

  Specified by:
    `writeArgumentsTo` in class `Method`
  Parameters:
    `writer` - interface to an object to write the method arguments
  Throws:
    `java.io.IOException` - if an error is encountered

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD